<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologías Emergentes. Curso 2019-20<br>
			Trabajo TG1 del grupo T7 <br>
			Título: TG1.Encontrar recursos sobre dos tecnologías emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Información general</a></li>
			<li><a href="#2">2. Descripción del tipo de tecnología</a></li>
			<li><a href="#3">3. Fuentes de información (documentos)</a></li>
			<li><a href="#4">4. Fuentes de información (cursos no gratuitos)</a></li>
			<li><a href="#5">5. Fuentes de información (cursos gratuitos)</a></li>
			<li><a href="#6">6. Ayudas económicas para estudiar las tecnologí­as</a></li>
			<li><a href="#7">7. Recursos para implementar las tecnologí­as</a></li>
			<li><a href="#8">8. Conclusiones</a></li>
		</ul>
	</nav>

	<main>
		<section id=1">
			<h2>1. Información general</h2>
			<h3>1.1 Autores</h3>
			<p>T7</p>
			<p>Javier Hernández Ortiz</p>
			<p>Javier Velilla Martinez</p>
			<p>Raul Benito Rodriguez</p>
			<p>Javier Palanques de Maria</p>
			<p>David Fuentes Miguel</p>
			</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<a href="https://gitlab.com/dte2020/t7/tg1">Enlace al repositorio de GitLab</a>
			<h3>1.3 Burndown chart</h3>
			<img src="burndownTG1.PNG">
			<h3>1.4 Presentación del trabajo</h3>
			<a href="tg1.pptx">Presentación pptx del trabajo TG1</a></p>
		</section>
		<section id="2">
			<h2>2. Descripción del tipo de tecnología</h2>
			<p>El tipo de tecnología que escogimos es la integración contínua, y vamos a presentar las tecnologías Circle CI y GitLab, dos tecnologías de integración contínua muy potentes y muy utilizadas en el ámbito laboral.
			A continuación, vamos a exponer la información que hemos ido recopilando de ambas tecnologías, para posteriormente poder compararlas. Para ello, hemos buscado documentos que hablaran sobre este tipo de tecnología, y
			sobre cada una de las opciones escogidas. También nos hemos informado de los cursos gratuitos y de pago que existen para poder formar a los trabajadores para utilizar estas tecnologías. Para poder implantar estas tecnologías
			con el menos coste posible, hemos investigado sobre las ayudas económicas que existen actualmente, ayudas como becas y descuentos para los cursos online. Finalmente hemos investigado sobre los precios y los recursos que ofrecen las
			versiones de pago y las versiones gratuitas de cada una de las tecnologías escogidas.</p>
		</section>
		<section id="3">
			<h2>3. Fuentes de información (documentos)</h2>
			<h3>3.1 Fuentes de información sobre la tecnología general: integración continua</h3>
			<p>Se han encontrado cuatro fuentes de información interesantes sobre la integración continua</p>
			<h4>3.1.1 Fuente de información 1 sobre integracion continua</h4>
			<p>Según este artículo, la integración continua es la automatización de todos los procesos referentes al desarrollo de código. 
Su incorporación en las empresas es necesaria y hay que seguir varios pasos para lograr su incorporación al sistema ya establecido por la propia empresa.</p>
			<a href="https://www.campusmvp.es/recursos/post/integracion-continua-que-es-y-por-que-deberias-aprender-a-utilizarla-cuanto-antes.aspx">Enlace a la guía</a>

			<h4>3.1.2 Fuente de información 2 sobre integracion continua</h4>
			<p>Según este artículo la integración es un proceso en el cual los informáticos van acoplando los trozos de código poco a poco hasta formar el resultado final, en lugar de hacerlo todo a la vez.</p>
			<a href="https://www.ionos.es/digitalguide/paginas-web/desarrollo-web/integracion-continua/">Enlace a la fuente</a>
			
			<h4>3.1.3 Fuente de información 3 sobre integracion continua</h4>
			<p>Según este artículo, la integración continua es un proceso en el cual se van incorporando fragmentos de código, al mismo tiempo que paralelamente, se van ejecutando diversas pruebas, para corregir posibles fallos cuanto antes. </p>
			<a href="https://aws.amazon.com/es/devops/continuous-integration/">Enlace a la fuente</a>
			
			<h4>3.1.4 Fuente de información 4 sobre integracion continua</h4>
			<p>Según este artículo, la integración consiste en una práctica a través de la cual varios programadores suben sus códigos a un repositorio principal, del tal forma que se va completando el programa y puliendo los diversos fallos.</p>
			<a href="https://codigofacilito.com/articulos/integracion-continua">Enlace a la fuente</a>

			<h3>3.2 Fuentes sobre la tecnología específica A: CircleCI </h3>
			<h4>3.2.1 Fuente de información 1 sobre la tecnología específica A: CircleCI</h4>
			<p>Según esta página, Circle CI otorga a los usuarios que lo utilizan soporte y servicios empresariales. También explica algunos de los beneficios que ofrece, y proporciona alguna versión de prueba.</p>
			<a href="https://circleci.com/docs/2.0/about-circleci/">Enlace a la fuente</a>
			<h4>3.2.2 Fuente de información 2 sobre la tecnología específica A: CircleCI</h4>
			<p>Según esta página, Circle CI facilita las herramientas necesarias para llevar a cabo la integración continua en la nube.</p>
			<a href="https://windoctor7.github.io/circleci-integracion-continua.html">Enlace a la fuente</a>
			<h4>3.2.3 Fuente de información 3 sobre la tecnología específica A: CircleCI</h4>
			<p>En esta página te explican las diferencias entre TravisCI y CircleCI, añadiendo también sus ventajas, desventajas, y algunas de sus características más importantes. CirlceCI estaría un paso por delante de TravisCI debido al uso que hace de los Dockers, flujos de trabajo, y su velocidad de inicio de proyectos en iOS </p>
			<a href="https://medium.com/@rafaelje/4-diferencias-migrando-de-travis-ci-org-a-circleci-com-2b8f40058c2">Enlace a la fuente</a>
			

			<h3>3.3 Fuentes sobre la tecnología específica B: GitLab </h3>
			<h4>3.3.1 Fuente de información 1 sobre la tecnología específica B: GitLab</h4>
			<p>En esta página explican las ventajas de usar una herramienta como GitLab para llevar a cabo la integración continua.</p>
			<a href="https://solidgeargroup.com/gitlab_countinuous_integration_intro/?lang=es">Enlace a la fuente</a>
			<h4>3.3.2 Fuente de información 2 sobre la tecnología específica B: GitLab</h4>
			<p>Esta página explica los pasos a seguir para conseguir llevar a cabo la integración continua mediante el uso de GitLab.</p>
			<a href="https://ed.team/blog/integracion-continua-con-gitlab-y-go">Enlace a la fuente</a>
			<h4>3.3.3 Fuente de información 3 sobre la tecnología específica B: GitLab</h4>
			<p>Ésta página contiene un manual en el que te enseñan a dar los primeros pasos dentro de gitlab y así poder realizar las tareas más básicas.</p>
			<a href="https://blog.softtek.com/es/integraci%C3%B3n-continua-con-gitlab">Enlace a la fuente</a>
		</section>

		<section id="4">
			<h2>4. Fuentes de información (cursos no gratuitos)</h2>
			<h3>4.1 Tecnología general: Integración Continua </h3>
			<h4>4.1.1 Curso no gratuito de Integración Continua</h4>
			<p>En el enlace anterior, ya que la integración continua es puramente teórica exceptuando cuando se implementa mediante el uso de unas herramientas concretas, nos encontramos en la pantalla de compra de un curso, valorado en unos 50 euros que incluye 46 clases y unas 5 horas de aprendizaje total, junto con una introducción a varias de las herramientas que implementan este tipo de tecnología.</p>
			<a href="https://www.udemy.com/course/continuous-integration-concepts-and-tools/">Enlace al curso</a>
			
			<h3>4.2 Tecnología Específica A: CircleCI </h3>
			<h4>4.2.1 Curso no gratuito de CircleCI</h4>
			<p>En el enlace puesto justo encima, nos podemos encontrar con el acceso a la página de compra de un curso de integración continua en Android y sus aplicaciones, valorado en 50 euros. El curso en si, consta de una hora de video bajo demanda, dos recursos a utilizar, que son descargables, acceso de por vida al curso y a sus recursos, opción de acceder al curso desde dispositivos móviles, tablets y ordenadores, y un certificado de finalización del mismo, para una vez se haya superado el curso.
			</p>
			<a href="https://www.udemy.com/course/learn-android-app-continuous-integration-using-circleci/">Enlace al curso</a>
			
			<h3>4.3 Tecnología Específica B: Git-Lab </h3>
			<h4>4.3.1 Curso no gratuito 1 de Git-Lab</h4>
			<p>En el enlace anterior nos encontramos en la ventana de compra de un curso, valorado en 20 euros, de Git-Lab y desarrollo del mismo, utilizando Docker y Dev-Ops como sus principales herramientas. El curso consta de 3 horas y media de duración, con 5 artículos de expertos en el uso de Git-Lab, 16 recursos descargables necesarios para la realización del curso, acceso de por vida al curso y a las herramientas que provee, acceso en dispositivos móviles para poder ver el curso en ellos, tareas a realizar para asegurar el análisis y aprendizaje del curso y el certificado de finalización.</p>
			<a href="https://www.udemy.com/course/gitlab-ci-pipelines-ci-cd-and-devops-for-beginners/">Enlace al curso</a>
			<h4>4.3.2 Curso no gratuito 2 de Git-Lab</h4>
			<p>En el enlace de arriba, nos encontramos un segundo curso de integración continua con Git-Lab, esta vez valorado en 100 euros. El curso incluye una hora de video bajo demanda, 17 artículos de acceso ilimitado, acceso de por vida a los artículos y resto de herramientas del curso, acceso desde dispositivos móviles y demás aparatos electrónicos que no son ordenadores y un certificado de finalización del curso.</p>
			<a href="https://www.udemy.com/course/continuous-integration-on-gitlab/">Enlace al curso</a>
		</section>

		<section id="5">
			<h2>5. Fuentes de información (cursos gratuitos)</h2>
			<h3>5.1 Cursos gratuitos sobre el tipo de tecnologí­a en general: Integración continua </h3>
			<h4>5.1.1 Curso gratuito 1 sobre el tipo de tecnologí­a en general: Integración continua</h4>
			<p>El enlace conduce a una web que cuenta con una introducción acerca del curso, con apartartados como “QUÉ APRENDERÁS” y “HABILIDADES QUE OBTENDRÁS”, al igual que el botón para inscribirse al curso.</p>
			<a href="https://es.coursera.org/learn/continuous-integration">Enlace al curso</a>

			<h3>5.2 Cursos gratuitos sobre la tecnologí­a especí­fica A: Circle CI</h3>
			<h4>5.2.1 Curso gratuito 1 sobre la tecnologí­a especí­fica A: Circle CI</h4>
			<p>El enlace conduce a una web que cuenta con una introducción acerca del curso y un hipervínculo a la web de inscripción.</p>
			<a href="https://circleci.com/blog/announcing-our-new-learning-platform-circleci-academy/">Enlace al curso </a>
			

			<h3>5.3 Cursos gratuitos sobre la tecnologí­a especí­fica B: GitLab</h3>
			<h4>5.3.1 Curso gratuito 1 sobre la tecnologí­a especí­fica B: GitLab</h4>
			<p>El enlace conduce a una web que cuenta con una introducción acerca del curso, con apartartados como “QUÉ APRENDERÁS” y “PROGRAMA DEL CURSO”, al igual que el botón para inscribirse al curso.</p>
			<a href="https://edutin.com/curso-de-git-4324">Enlace al curso</a>
			<h4>5.3.2 Curso gratuito 2 sobre la tecnologí­a especí­fica B: GitLab</h4>
			<p>El enlace conduce a una web que contiene una presentación del curso, en que se basa, que en este caso es en vídeos, y el enlace a dicho curso.</p>
			<a href="http://www.inigoserrano.com/cursos/gitlab/">Enlace al curso</a>
			<h4>5.3.N Curso gratuito N sobre la tecnologí­a especí­fica B: GitLab</h4>
			<p>El enlace conduce a una web que cuenta con una introducción acerca del curso, con apartartados como “HABILIDADES QUE OBTENDRÁS”, y el botón para inscribirse al curso.</p>
			<a href="https://es.coursera.org/learn/version-control-with-git">Enlace al curso </a>
		</section>

		<section id="6">
			<h2>6. Ayudas económicas para estudiar las tecnologí­as</h2>
				<h3>6.1 Ayuda 1. Becas del estado</h3>
				<p>Dependiendo del centro de formación surgen varias alternativas que siguiendo una serie de requisitos se pueden obtener. Donde dentro de los posibles cursos se trabaja dicho programa y la posibilidad de pago, se puede pedir por medio de becas y ayudas.  Becas del Ministerio de Educación y Formación Profesional, Becas Talentia pata la realización de programas de posgrado en universidades extranjeras, Becas de la Caixa para estudios post universitarios, Becas Fulbright destinados a titulados superiores para estudiar, investigar o enseñar en los Estados Unidos, Becas Iberdrola, Becas MAEC-AECID. Destinadas a estudiantes que quieren ir a otros países. Hay que mencionar, que muchas becas son promovidas por grandes empresas formando más explícitamente a los integrantes para dicha corporación.</p>
				<a href="https://www.educaweb.com/contenidos/educativos/masteres-posgrados/becas-masteres-posgrados/">Enlace para más información sobre la ayuda</a>
				<h3>6.2 Ayuda 2. Cursos online con descuento</h3>
				<p>Otras ayudas pueden ser los cursos de oferta online, que permiten el teletrabajo y organización como prefiera el usuario. Que dependiendo de que curso y página se contrate se pueden obtener descuento por medio de códigos promocionales. Un ejemplo es la página udemy.com, donde tiene acceso a varias herramientas relacionadas a integración continua a precios asequibles.
				</p>
				<a href="https://www.udemy.com/es/topic/gitlab/">Enlace para más información sobre la ayuda</a>
				<h3>6.1 Ayuda 3. Becas diversidad</h3>
				<p>Existen becas especiales de carácter privado con requisitos muy específicos como es el caso de la empresa Positive Devops. Tiene como peculiaridad que únicamente conceden becas a mujeres y grupos minoritarios, puesto que como ellos argumentan: “En España las mujeres representan tan solo el 18% de los profesionales pertenecientes en la industria tecnológica, si hablamos de grupos minoritarios como personas de etnia gitana o personas LGTBQI+ el porcentaje será mucho menor. En Positive DevOps somos conscientes de esta desigualdad, histórica y sistémica, bien es conocido que hasta finales de los años 60 las mujeres eran mayoritarias en trabajos relacionados con los ordenadores y es sólo, cuando el prestigio se empieza a asociar con los mismos que los hombres deciden estudiar y trabajar en este campo… Queremos contribuir a cambiar esta situación ayudando a todos estos colectivos a acceder a nuestro curso. Para ello hemos organizado un programa de becas de diversidad junto a varias empresas del sector”</p>
				<a href="https://positivedevops.com/becas-diversidad/">Enlace para más información sobre la ayuda</a>
			</p>
		</section>

		<section id="7">
			<h2>7. Recursos software o hardware para implementar las tecnologí­as</h2>
			<h3>7.1 Recursos para implementar la tecnologí­a Circle CI</h3>
			<h4>7.1.1 Recursos gratuitos para implementar la tecnologí­a Circle CI</h4>
			<p>En Circle CI tenemos una versión gratuita, la cual da 2500 créditos gratis por semana, y permite un único trabajo corriendo simultáneamente. Esta versión gratuita ofrece un servicio limitado para todos los sistemas operativos, y no cuenta con un servicio de soporte de tickets, por lo que solo se puede conseguir ayuda de soporte a través de la comunidad.</p>
			<a href="https://circleci.com/pricing/#comparison-table">Tabla comparativa (version gratuita y versiones de pago)</a>
			<h4>7.1.2 Recursos no gratuitos para implementar la tecnologí­a Circle CI</h4>
			<p>En cuanto a las versiones de pago de Circle CI, hay una versión estándar la cual viene con unos servicios predeterminados (mejores que los de la versión gratuita), pero el equipo de Circle CI ofrece una opción “custom” en la cual puedes pedir los servicios que se adapten a tus necesidades, con un precio acorde a los servicios contratados.</p>
			<a href="https://circleci.com/pricing/#comparison-table">Tabla comparativa (version gratuita y versiones de pago)</a>

			<h3>7.2 Recursos para implementar la tecnologí­a GitLab</h3>
			<h4>7.2.1 Recursos gratuitos para implementar la tecnologí­a GitLab</h4>
			<p>EGit es un plugin gratuito para el software de programación Eclipse. Con este plugin, tendremos una muy buena integración con GitLab, lo que nos va a permitir hacer Pull, Push y Commit directamente desde nuestro workspace de Eclipse, algo que facilita bastante a la hora de trabajar en equipo. En estos links se enseña como instalarlo y como utilizarlo.</p>
			<a href="https://www.redeszone.net/2013/03/14/como-configurar-y-utilizar-git-en-eclipse/">Configurar y utilizar EGit en Eclipse</a>
			<a href="https://www.redeszone.net/2013/03/16/como-utilizar-git-en-eclipse-creando-y-controlando-versiones/">Como utilizar git en Eclipse y controlando versiones</a>
			<h4>7.2.2 Recursos no gratuitos para implementar la tecnologí­a GitLab</h4>
			<p>En este caso vamos a ver los planes de pago de GitLab, ya que aunque puede usarse gratuitamente, tiene unos planes de pago mensual que ofrecen muchas funcionalidades extra, perfectas para managers, directores y ejecutivos</p>
			<a href="https://about.gitlab.com/pricing/">Precio y funcionalidades</a>
			<a href="https://about.gitlab.com/pricing/premium/">Explicación de funcionalidades</a>
			<a href="https://about.gitlab.com/handbook/ceo/pricing/">Más características</a>
		</section>

		<section id="8">
			<h2>8. Conclusiones</h2>
			<p>Nos hemos topado con alguna dificultad a la hora de entender el funcionamiento de GitLab, pero gracias a nuestros conocimientos adquiridos fuera de la universidad sobre Eclipse,
			hemos sabido manejarnos bien y hacer un buen uso de la herramienta.</p>
		</section>

	</main>

</body>

</html>